<script>
	$j(function(){
		var tn = 'retours';

		/* data for selected record, or defaults if none is selected */
		var data = {
			reference: <?php echo json_encode($jdata['reference']); ?>,
			matricule: <?php echo json_encode(array('id' => $rdata['matricule'], 'value' => $rdata['matricule'], 'text' => $jdata['matricule'])); ?>,
			client: <?php echo json_encode($jdata['client']); ?>,
			designation: <?php echo json_encode(array('id' => $rdata['designation'], 'value' => $rdata['designation'], 'text' => $jdata['designation'])); ?>
		};

		/* initialize or continue using AppGini.cache for the current table */
		AppGini.cache = AppGini.cache || {};
		AppGini.cache[tn] = AppGini.cache[tn] || AppGini.ajaxCache();
		var cache = AppGini.cache[tn];

		/* saved value for matricule */
		cache.addCheck(function(u, d){
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'matricule' && d.id == data.matricule.id)
				return { results: [ data.matricule ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for matricule autofills */
		cache.addCheck(function(u, d){
			if(u != tn + '_autofill.php') return false;

			for(var rnd in d) if(rnd.match(/^rnd/)) break;

			if(d.mfk == 'matricule' && d.id == data.matricule.id){
				$j('#client' + d[rnd]).html(data.client);
				return true;
			}

			return false;
		});

		/* saved value for designation */
		cache.addCheck(function(u, d){
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'designation' && d.id == data.designation.id)
				return { results: [ data.designation ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for designation autofills */
		cache.addCheck(function(u, d){
			if(u != tn + '_autofill.php') return false;

			for(var rnd in d) if(rnd.match(/^rnd/)) break;

			if(d.mfk == 'designation' && d.id == data.designation.id){
				$j('#reference' + d[rnd]).html(data.reference);
				return true;
			}

			return false;
		});

		cache.start();
	});
</script>

